Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033956
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2016-09-12 18:412016-09-23 18:22
ReporteregoitzView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR16Q4
StatusclosedFix in branchFixed in SCM revision13f7a8be3163
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0033956: The generate invoic takes long with big amount of data

DescriptionWhen there are thousand of invoices pending to be created, the generate invoices process takes long
Steps To Reproduce-On an environment with thousand of order pending to be invoiced, open the create invoices process and execute it:
*It takes minutes to finish
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0033319 closedAtulOpenbravo The generate shipment from orders form takes long to print the data with a lot of orders pending to be deliver 

-  Notes
(0090150)
hgbot (developer)
2016-09-22 10:24

Repository: erp/devel/pi
Changeset: 13f7a8be31637e8f44e276bb49066780ae16e3d0
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed Sep 21 00:20:58 2016 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/13f7a8be31637e8f44e276bb49066780ae16e3d0 [^]

Fixes issue 33956: The generate invoice takes long with big amount of data

Added index for column isselected of order table to improve select query and initupdate method used in invoice create process.

---
M src-db/database/model/tables/C_ORDER.xml
---
(0090151)
aferraz (developer)
2016-09-22 10:25

Code review + Testing OK
(0090213)
hudsonbot (developer)
2016-09-23 18:22

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/25f7de2ab346 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-09-12 18:41 egoitz New Issue
2016-09-12 18:41 egoitz Assigned To => AtulOpenbravo
2016-09-12 18:41 egoitz Modules => Core
2016-09-12 18:41 egoitz Triggers an Emergency Pack => No
2016-09-12 18:41 egoitz Issue generated from 0033319
2016-09-12 18:41 egoitz Relationship added related to 0033319
2016-09-13 08:39 heccam Issue Monitored: heccam
2016-09-13 09:38 aferraz Assigned To AtulOpenbravo => Triage Finance
2016-09-14 12:29 aferraz Assigned To Triage Finance => AtulOpenbravo
2016-09-22 10:24 hgbot Checkin
2016-09-22 10:24 hgbot Note Added: 0090150
2016-09-22 10:24 hgbot Status new => resolved
2016-09-22 10:24 hgbot Resolution open => fixed
2016-09-22 10:24 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/13f7a8be31637e8f44e276bb49066780ae16e3d0 [^]
2016-09-22 10:25 aferraz Review Assigned To => aferraz
2016-09-22 10:25 aferraz Note Added: 0090151
2016-09-22 10:25 aferraz Status resolved => closed
2016-09-22 10:25 aferraz Fixed in Version => 3.0PR16Q4
2016-09-23 18:22 hudsonbot Checkin
2016-09-23 18:22 hudsonbot Note Added: 0090213


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker